VectorLinux

Please login or register.

Login with username, password and session length
Advanced search  

News:

Visit our home page for VL info. For support and documentation, visit the Vector Linux Knowledge Center or search the Knowledge Center and this Forum using the search box above.

Pages: 1 ... 4 5 [6]

Author Topic: The New vpackager Thread - take a peak  (Read 44395 times)

hata_ph

  • Packager
  • Vectorian
  • ****
  • Posts: 3261
  • -- Just being myself --
Re: The New vpackager Thread - take a peak
« Reply #75 on: April 14, 2008, 06:43:19 am »

libiffi is a dependancy for the gambas package, not for vpackager directly

shouldn't gslapt/slapt-get will resolve the dependency issue for it as vpackager require gambas2 and libffi is a dependency of gambas2?
Logged

M0E-lnx

  • Administrator
  • Vectorian
  • *****
  • Posts: 3258
Re: The New vpackager Thread - take a peak
« Reply #76 on: April 14, 2008, 07:47:23 am »

yes... it should.. the problem here is that we need an updated gambas2 package.

vpackager is being developed on 2.5, and the latest on our repos is 2.0 I think... so we're a little behind there...

Sorry for the inconvenience.

MikeCindi

  • Tester
  • Vectorian
  • ****
  • Posts: 1075
Re: The New vpackager Thread - take a peak
« Reply #77 on: April 14, 2008, 09:45:12 am »

2.5 is in the testing repository isn't it?
Logged
The plans of the diligent lead to profit...Pro. 21:5
 VL64 7.1                                     RLU 486143

M0E-lnx

  • Administrator
  • Vectorian
  • *****
  • Posts: 3258
Re: The New vpackager Thread - take a peak
« Reply #78 on: April 14, 2008, 10:17:59 am »

2.5 is in the testing repository isn't it?
Not sure, I made a dirty build of on my box to continue the development because 2.0.0 had problem with the gtk component (used in vpackager)

when I do "slapt-get --search gambas2", only my dirty 2.5 build comes up

uelsk8s

  • Administrator
  • Vectorian
  • *****
  • Posts: 2504
Re: The New vpackager Thread - take a peak
« Reply #79 on: April 14, 2008, 01:33:35 pm »

2.5.0 is in the testing repo.
Quote
root:# slapt-get --search ^gambas2
gambas2-2.5.0-i586-1vl59 [inst=no]: Gambas 2 - BASIC IDE for Linux
gambas2-runtime-2.0.0-i586-1vl59 [inst=yes]: Gambas 2 Runtime
gambas2-runtime-2.5.0-i586-1vl59 [inst=no]: Gambas 2 Runtime

maybe it is named the same as the one you built?
Logged

M0E-lnx

  • Administrator
  • Vectorian
  • *****
  • Posts: 3258
Re: The New vpackager Thread - take a peak
« Reply #80 on: April 14, 2008, 01:54:32 pm »

* M0E-lnx stands corrected

BTW, we will have a new version of vpackager coming up real soon... watch out for new features including dependancy resolving capabilities ;)

hata_ph

  • Packager
  • Vectorian
  • ****
  • Posts: 3261
  • -- Just being myself --
Re: The New vpackager Thread - take a peak
« Reply #81 on: April 14, 2008, 06:40:08 pm »

yes... it should.. the problem here is that we need an updated gambas2 package.

vpackager is being developed on 2.5, and the latest on our repos is 2.0 I think... so we're a little behind there...

Sorry for the inconvenience.


is ok... :)
Logged

MikeCindi

  • Tester
  • Vectorian
  • ****
  • Posts: 1075
Re: The New vpackager Thread - take a peak
« Reply #82 on: April 14, 2008, 07:42:49 pm »

* M0E-lnx stands corrected
Looks like you're "sitting corrected" if your darkstar tux is any indication. :P BTW, thank you for the work you are doing on vpackager.
Logged
The plans of the diligent lead to profit...Pro. 21:5
 VL64 7.1                                     RLU 486143

M0E-lnx

  • Administrator
  • Vectorian
  • *****
  • Posts: 3258
Re: The New vpackager Thread - take a peak
« Reply #83 on: April 14, 2008, 08:07:04 pm »

* M0E-lnx stands corrected
Looks like you're "sitting corrected" if your darkstar tux is any indication. :P BTW, thank you for the work you are doing on vpackager.

i cant say i dont enjoy developing the stuff. I think you guys are going to like the next release

Dweeberkitty

  • Packager
  • Vectorian
  • ****
  • Posts: 836
    • Multimedia Bonus Disc
Re: The New vpackager Thread - take a peak
« Reply #84 on: April 15, 2008, 03:23:47 pm »

i cant say i dont enjoy developing the stuff.

Hehe, those double negatives confused me for a second. I like vpackager a lot. I always recommend it to all people new to VL. Good job!
Logged
Registered Linux User #443399
Desktop: Intel Pentium D 3.33Ghz, 320GB hard drive, 2 gigs DDR2 533mhz RAM, NVIDIA Geforce 7800 GS, X2GEN 22" widescreen monitor;
Laptop: Dell Mini 9, Intel Atom 1.6Ghz, 1GB ram
Multimedia Bonus Disc website: http://www.vectorlinuxsolutions.com/

M0E-lnx

  • Administrator
  • Vectorian
  • *****
  • Posts: 3258
Re: The New vpackager Thread - take a peak
« Reply #85 on: April 15, 2008, 06:03:43 pm »

I appreciate that. Hopefully the next release will be more VL independent so other people running other distros can also use it. So far i've seen an increase in the number of .tgz downloads from the project page which could indicate that other people are checking it out as well

M0E-lnx

  • Administrator
  • Vectorian
  • *****
  • Posts: 3258
Re: The New vpackager Thread - take a peak
« Reply #86 on: April 29, 2008, 01:54:26 pm »

New vpackager available... See here for the annoucement

http://www.vectorlinux.com/forum2/index.php?topic=6144.0

uelsk8s

  • Administrator
  • Vectorian
  • *****
  • Posts: 2504
Re: The New vpackager Thread - take a peak
« Reply #87 on: May 20, 2008, 07:08:40 am »

The last vpackager will not finish building a package unless you have supplied a slack-desc file.
This is good and bad, I like making sure there is a description, but some people will just thing vpackager is broken.
Logged
Pages: 1 ... 4 5 [6]